#! /bin/zsh

# bk2site_home_scripts.sh
# copy all my configuration-files and scripts used for bk2site to directory
# tree and create nice tar.bz2-package of it.

# Created by:
# Juhapekka Tolvanen
# http://iki.fi/juhtolv/
# juhtolv (at) iki (dot) fi

###########################################################################
# Copyright (C) 2003-2007 Juhapekka "naula" Tolvanen http://iki.fi/juhtolv/

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
###########################################################################

# SOME VARIABLES
MYDATE=`date +%Y%m%d`

setopt extendedglob
MYDIR="$HOME/viritys/bk2site/"
DISTDIR="bk2site_home_scripts-${MYDATE}"

# ACTION
unalias cp 2> /dev/null
cd $MYDIR || exit 1

rm -rf ${DISTDIR} bk2site_home_scripts-${MYDATE}.tar.bz2 2> /dev/null
mkdir ${DISTDIR}
mkdir -p ${DISTDIR}/home/juhtolv/scripts


mkdir -p ${DISTDIR}/home/juhtolv/dot.bk2site.dir/galeon.backup.dir
cd ${DISTDIR}/home/juhtolv/dot.bk2site.dir/galeon.backup.dir
mkdir 01 02 03 04 05 06 07 08 09 10
cd $MYDIR

mkdir -p ${DISTDIR}/home/juhtolv/dot.bk2site.dir/konqueror.backup.dir
cd ${DISTDIR}/home/juhtolv/dot.bk2site.dir/konqueror.backup.dir
mkdir 01 02 03 04 05 06 07 08 09 10
cd $MYDIR

mkdir -p ${DISTDIR}/home/juhtolv/dot.bk2site.dir/mozilla.backup.dir
cd ${DISTDIR}/home/juhtolv/dot.bk2site.dir/mozilla.backup.dir
mkdir 01 02 03 04 05 06 07 08 09 10
cd $MYDIR

#mkdir -p ${DISTDIR}/home/juhtolv/dot.bk2site.dir/mozilla_firebird.backup.dir
#cd ${DISTDIR}/home/juhtolv/dot.bk2site.dir/mozilla_firebird.backup.dir
#mkdir 01 02 03 04 05 06 07 08 09 10
#cd $MYDIR

mkdir -p ${DISTDIR}/home/juhtolv/dot.bk2site.dir/mozilla_firefox.backup.dir
cd ${DISTDIR}/home/juhtolv/dot.bk2site.dir/mozilla_firefox.backup.dir
mkdir 01 02 03 04 05 06 07 08 09 10
cd $MYDIR

mkdir -p ${DISTDIR}/home/juhtolv/dot.bk2site.dir/netscape.backup.dir
cd ${DISTDIR}/home/juhtolv/dot.bk2site.dir/netscape.backup.dir
mkdir 01 02 03 04 05 06 07 08 09 10
cd $MYDIR

cp ${HOME}/.bk2site.dir/*.html ${DISTDIR}/home/juhtolv/dot.bk2site.dir/
cp ${HOME}/.bk2site.dir/example.rc ${DISTDIR}/home/juhtolv/dot.bk2site.dir/rc

cp ${HOME}/.bk2site.dir/bk2site.common.0?.sh ${DISTDIR}/home/juhtolv/dot.bk2site.dir/

cp ${HOME}/.bk2siterc ${DISTDIR}/home/juhtolv/dot.bk2siterc

cp  ${HOME}/scripts/*bk2site* ${DISTDIR}/home/juhtolv/scripts/
cp  ${HOME}/scripts/crap/*bk2site* ${DISTDIR}/home/juhtolv/scripts/
cp  ${HOME}/scripts/bkusb2home.sh ${DISTDIR}/home/juhtolv/scripts/
cp  ${HOME}/scripts/bkhome2usb.sh  ${DISTDIR}/home/juhtolv/scripts/

chmod -R ugo+rX ${DISTDIR}
chmod ugo-x ${DISTDIR}/**/*(.)

echo " ************** tar.bz2 **************"
tar cf - ${DISTDIR} | bzip2 -9vv > bk2site_home_scripts-${MYDATE}.tar.bz2
chmod ugo+r,go-wx bk2site_home_scripts-${MYDATE}.tar.bz2


